Bug 66241 - FILEOPEN: cannot open file
Summary: FILEOPEN: cannot open file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.4.1 rc
Hardware: x86-64 (AMD64) All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-27 08:03 UTC by Bartosz Bartczak
Modified: 2013-12-29 21:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
broken file.ods (31.80 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-07-03 10:35 UTC, Bartosz Bartczak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz Bartczak 2013-06-27 08:03:14 UTC
Windows Version 4.0.3 - cant open file
Linux version 4.0.4.1 - can't open file

1) Try click on file and get information
"Read error. An unknown error occurred."


A try check this file:
1) mv file.ods file.zip
2) $ unzip -t file.zip 
Archive:  file.zip
    testing: mimetype                 OK
    testing: meta.xml                 OK
    testing: settings.xml             OK
    testing: content.xml              OK
    testing: Thumbnails/thumbnail.png   OK
    testing: Configurations2/images/Bitmaps/   OK
    testing: Configurations2/popupmenu/   OK
    testing: Configurations2/toolpanel/   OK
    testing: Configurations2/statusbar/   OK
    testing: Configurations2/progressbar/   OK
    testing: Configurations2/toolbar/   OK
    testing: Configurations2/menubar/   OK
    testing: Configurations2/accelerator/current.xml   OK
    testing: Configurations2/floater/   OK
    testing: styles.xml               OK
    testing: META-INF/manifest.xml    OK
No errors detected in compressed data of file.zip.
$
3) unzip file.zip
4) check all file *.xml recursive and can't see any error
   procedure check ( xmllinit meta.xml)
   (xmllinit settings.xml)
    ...

What is wrong in libre or file?
yesterday on end day file was write properly. On this day don't work :(
Somebody have any idea what it's wrong?
Comment 1 bfoman (inactive) 2013-06-27 10:21:48 UTC
Could you attach problematic document to allow others to check on different
system/build?
Comment 2 Bartosz Bartczak 2013-06-27 10:39:17 UTC
Yesterday was write file.ods in Libre office.
Now can't open this same file.ods in Libre Office.

Now I'm repaired broken file:
1) edit file content.xml
2) remove all line form "<table:tracked-changes>" to "</table:tracked-changes>".
3) save file content.xml
4) zip all file
5) change name repair.zip to repair.ods
Now file repair.ods working properly in LibreOffice.

But my friend tell mi try open broken file.ods (who any verion libre can't open) in apache openoffice 3.4.1.
THIS SAME FILE BROKEN file.ods OPEN OFFICE PROPERLY OPEN !!!
This is the tenth case when LibreOffice damage my image in the past few months.
I prefer Apchae OpenOffice becouse it't many stable that Libre Office.


Best Regards
Comment 3 Bartosz Bartczak 2013-06-27 10:47:46 UTC
bfoman sorry but can't public attach broken file fecous file because the file contains confidential company data.
Comment 4 bfoman (inactive) 2013-06-27 14:11:12 UTC
(In reply to comment #3)
> bfoman sorry but can't public attach broken file fecous file because the
> file contains confidential company data.

Please try to eliminate confidential information according to https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F and save your document again. If it gets broken, then please attach it here. Bug cannot be fixed without a test case.
Comment 5 Joel Madero 2013-06-28 00:11:01 UTC
Marking as NEEDINFO - without document we can't do anything about it unfortunately
Comment 6 Bartosz Bartczak 2013-07-03 10:35:40 UTC
Created attachment 81950 [details]
broken file.ods

In attach broken file.ods.
Comment 7 retired 2013-07-04 14:27:38 UTC
Well, I get a crash on OS X 10.8.4, LO 4.1.0.2.

Setting to NEW.
Comment 8 Commit Notification 2013-10-17 01:02:55 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6aa0488da21ef21b9da68253682b174f11f305f5

this method is not supposed to throw, fdo#66241



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Jorendc 2013-12-29 21:20:25 UTC
Doesn't crash anymore, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5be7ec4193b892e5643ff5f3f2e6755319569190
TinderBox: Win-x86@39, Branch:master, Time: 2013-12-27_23:55:02

Looks like the patch is only applied in 4.2.0, not in 4.1-branch.

@Markus: any chance this is going to happen?

(In reply to comment #8)
> Markus Mohrhard committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=6aa0488da21ef21b9da68253682b174f11f305f5
> 
> this method is not supposed to throw, fdo#66241